Bug 837460 - beaker-provision: serialize power commands by power address
beaker-provision: serialize power commands by power address
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Dan Callaghan
Depends On:
  Show dependency treegraph
Reported: 2012-07-03 21:23 EDT by Dan Callaghan
Modified: 2012-07-19 20:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 836396
Last Closed: 2012-07-19 20:38:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-07-03 21:23:33 EDT
+++ This bug was initially created as a clone of Bug #836396 +++

Another idea I just had was to serialize the power commands by power address. Of course we already serialize them by system, but it might help with the APC PDUs for example which I imagine might have 20 different systems hooked up to the same PDU. It will prevent us trying to run multiple power commands against the same PDU concurrently, which I don't think they like.
Comment 1 Dan Callaghan 2012-07-08 20:57:36 EDT
On Gerrit: http://gerrit.beaker-project.org/1185
Comment 4 Dan Callaghan 2012-07-19 20:38:28 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.